<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("d/m/Y");
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

///Arrastrando Valores
$NoDocSurEn=$_GET["txt_NoDoc"] or $NoDocSurEn=$_POST["txt_NoDoc"];
			
///Identificar los datos del Documento de Recibo			
$sqlIDR1 = mysql_query("select EDO_DOCUMENTO,TIPO_EXTRACCION,TIPO_SALIDA,TIPO_SURTIDO from tabla_docsurtido where CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn'");
if (mysql_numrows($sqlIDR1)==0) echo "";
else{
$registroIDR1=mysql_fetch_array($sqlIDR1);
}
if (mysql_numrows($sqlIDR1)>0)
{
$EdoDocIDR1=$registroIDR1["EDO_DOCUMENTO"];
$TipAlmIDR1=$registroIDR1["TIPO_EXTRACCION"];
$TipSalIDR1=$registroIDR1["TIPO_SALIDA"];
$TipSurIDR1=$registroIDR1["TIPO_SURTIDO"];
}
			
///Validar el Estado de la Orden
 if ($EdoDocIDR1<>"ASOCIADO")
 {
echo "<script>alert('El Estado del Documento de Surtido no es apto para este proceso.\\nFavor de Corroborarlo.');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=Home.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
 }
 else
 { ///Inicia If Valida Estado de la Orden
	 
			
///************************* INICIA ALGORITMO 1
		
				
///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select ID,SKU,LOTE,LOTEPRODU,CANT_X_SURTIR from tabla_detalledocsur where CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn' Order By ID ASC");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$IdBaDa_w1 = $res_W1['ID'];	
$CodSku_w1 = $res_W1['SKU'];
$VaLote_w1 = $res_W1['LOTE'];
$LotePr_w1 = $res_W1['LOTEPRODU'];
$CanxSu_w1 = $res_W1['CANT_X_SURTIR'];

///Identificar que el codigo NO CONTENGA Picking Fijo
$sql_VP1 = mysql_query("select ID from tabla_pickingfijo where CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND DISPONIBILIDAD='SI'");
if (mysql_numrows($sql_VP1)==0) 
{///Inicia IF Validación General 01

	///Barrer todo el Stock a fin de generar todas las tareas de surtido en base a los criterios generales del Surtido
	$sql_W2=mysql_query("Select ID,CANTIDAD,LOTE,LOTEPRODU,NO_PALLET,UBICACION,PRIORIDAD from tabla_inventario where SKU='$CodSku_w1' AND CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND EDO_CALIDAD='$TipSalIDR1' AND CANTIDAD>'0' AND NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CuentaCR1') Order By FECHA_ENTRADA ASC");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
	$IdBaDa_w2 = $res_W2['ID'];
	$CanPal_w2 = $res_W2['CANTIDAD'];
	$LotPal_w2 = $res_W2['LOTE'];
	$LPrPal_w2 = $res_W2['LOTEPRODU'];
	$NumPal_w2 = $res_W2['NO_PALLET'];
	$UbiPal_w2 = $res_W2['UBICACION'];
	$Priori_w2 = $res_W2['PRIORIDAD'];
	
	
	////Identificar el total de piezas con tareas ya Registradas
		$sqlSUMA = "Select SUM(CANT_ASIGNADA) as ObtCant FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
	
		
		if ($TotApartada == "0" or $TotApartada == "")
		{
			///$CantGenApartada = $TotApartada;
			$CantGenApartada = "0";
			///echo "Entra igual a 0"; -- Alert
		}
		else
		{
			$CantGenApartada = $TotApartada + $CanPal_w2;
		}
		
	///Identificar la Cantidad por Surtir VS la Cantidad Asignada
		if ($CantGenApartada <= $CanxSu_w1)
		{///Inicia If Valida Por Surtir Vs Asignado 01
			$CantGenApartada = $TotApartada + $CanPal_w2;
			
			
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
			
///¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia Proceso 2 del Algoritmo ¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?///
			if ($CantGenApartada > $CanxSu_w1)
			{///Inicia If 200
				
			///Inicia proceso donde solo se seleccionan las piezas solicitadas dentro del Surtido 
			///(Cantidad del Pallet es Mayor a la solicitada o al Restante solicitado)
								
				///Operación Artimetica
				$CantRestFin = $CCanti - $CanxSu_w1;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFin' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 01
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 01
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CanxSu_w1','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CanxSu_w1','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
				
			}///Termina If 200
			else
			{///Inicia else 200
				
				///Inicia proceso donde se seleccionan todas las piezas solicitadas dentro del Pallet
				///(Cantidad del Pallet es Igual a la solicitada o al Restante solicitado)
							
				///Operación Artimetica
				///$CantRestFin = $CCanti - $CanxSu_w1;  ---- NO ESTOY SEGURO SI ES AQUI
				$CantRestFin = $CCanti - $CCanti;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFin' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 02
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 02
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CCanti','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CCanti','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
				
				
			}///Termina else 200
 					
			
		}///Termina If Valida Por Surtir Vs Asignado 01
		else
		{///Inicia Else Valida Por Surtir Vs Asignado 01
			///break;
			
///INICIA PROCESO NO ESTOY SEGURO 01
			
			///Identificar el codigo SKU del producto por medio de la clave del Pallet
			$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2' AND SKU='$CodSku_w1'");
			if (mysql_numrows($sqlDU2)==0) echo "";
			else{
			$registroDU2=mysql_fetch_array($sqlDU2);
			}
			if (mysql_numrows($sqlDU2)>0)
			{
				$CCanti=$registroDU2["CANTIDAD"];
				$ValLote_RC2=$registroDU2["LOTE"];
				$Priorid_RC2=$registroDU2["PRIORIDAD"];
			}
			
			///Operación Artimetica
				$CantRestFin = $CanxSu_w1 - $TotApartada;
				$CantRestFinPal = $CCanti - $CantRestFin;
				
				///Guarda la modificación del Stock en base a cantidad asignada al Surtido
				$sql_GM1="UPDATE tabla_inventario SET CANTIDAD='$CantRestFinPal' WHERE CVE_CUENTA='$CuentaCR1' AND SKU='$CodSku_w1' AND NO_PALLET='$NumPal_w2' AND ID='$IdBaDa_w2'";
				$resultado_GM1=mysql_query($sql_GM1,$conexion) or die(mysql_error());
				
		///Inicia - Generar Clave de Tarea 07 - (2)
				
				////Identificar el prefijo configurado para la tarea
					$sqlIDE1 = mysql_query("select * from wms_configura_tarea WHERE CVE_CUENTA='$CuentaCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{	
					$PrefijoTar=$registroIDE1["PREFIJO"];
					}
				
				///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$FechaDeTarea=date("Ymd");
					$sqlDS = "select max(IDINCRE) as ultimo_FOLIODS from tabla_consetarea WHERE CVE_CUENTA='$CuentaCR1' AND FECHA='$FechaDeTarea'"; 
					$libDS = mysql_query($sqlDS); 
					$rs_libDS = mysql_fetch_assoc($libDS); 
					$id_nuevoDS = $rs_libDS['ultimo_FOLIODS'] + 1;
				
					if ($id_nuevoDS <=9)
					{
					$IdenCeros="0000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=10 and $id_nuevoDS <=99)
					{
					$IdenCeros="000";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
	
					if ($id_nuevoDS >=100 and $id_nuevoDS <=999)
					{
					$IdenCeros="00";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					if ($id_nuevoDS >=1000 and $id_nuevoDS <=9999)
					{
					$IdenCeros="0";
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$IdenCeros.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
					
					if ($id_nuevoDS >=10000)
					{
					$No_Tarea=$PrefijoTar.$FechaDeTarea.$id_nuevoDS;
					$No_TareaFINPG=$No_Tarea;
					}
				
					///Generador de Folio para guardar el consecutivo del # de Tarea en la tabla_consetarea
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consetarea"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
					
					///Guardar en la BD el consecutivo del No. de Tarea en la tabla_consetarea
					$sqlGDS = "insert tabla_consetarea (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_TARE,FECHA)
					values('$id_nuevoP2','$ClavBodCR2','$CuentaCR1','$id_nuevoDS','$No_TareaFINPG','$FechaDeTarea')";
					$resultadoGDS=mysql_query($sqlGDS,$conexion) or die(mysql_error());
				
		///Termina - Generar Clave de Tarea 07 - (2)
				
				///Generador de ID consecutivo en la tabla Tareas
					$sqlID= "select max(ID) as ultimo_FOLIO from tabla_tareas"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_Consec = $rs_lib['ultimo_FOLIO'] + 1;
				
				///Fecha y Hora
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
				
				///Generar Tarea de Surtido
					$sql_GT = "insert tabla_tareas (ID,CVE_BODEGA,CVE_CUENTA,NO_TAREA,NO_DOCUMENTO,NO_PALLET,SKU,CANT_XSURTIR,CANT_XTAREA,CANT_SURTIDA,IDENTIFICADOR_SURTIDO,ESTADO_TAREA,USUARIO_GENERO,FECHA_GENERO,HORA_GENERO,UBICACION,PRIORIDAD,LOTE)
        			values('$id_Consec','$ClavBodCR2','$CuentaCR1','$No_TareaFINPG','$NoDocSurEn','$NumPal_w2','$CodSku_w1','$CanxSu_w1','$CantRestFin','0','$NoDocSurEn','POR EJECUTAR','$UsuEn','$Fecha','$HoraOK','$UbiPal_w2','$Priorid_RC2','$ValLote_RC2')";
					$resultado_GT=mysql_query($sql_GT,$conexion) or die(mysql_error());
				
				///Guardar en la BD la cantidad Apartada
					$sqlGDS2 = "insert tabla_detalledocsurprio (CVE_BODEGA,CVE_CUENTA,TIPO_ALMACEN,NO_DOCUMENTO,SKU,CANT_ASIGNADA,USUARIO_REG,FECHA,HORA)
					values('$ClavBodCR2','$CuentaCR1','$TipAlmIDR1','$NoDocSurEn','$CodSku_w1','$CantRestFin','$UsuEn','$Fecha','$HoraOK')";
					$resultadoGDS2=mysql_query($sqlGDS2,$conexion) or die(mysql_error());
			
				
		////Identificar el total de piezas con tareas ya Registradas
		$sqlSUMA = "Select SUM(CANT_ASIGNADA) as ObtCant FROM tabla_detalledocsurprio WHERE CVE_CUENTA='$CuentaCR1' AND TIPO_ALMACEN='$TipAlmIDR1' AND NO_DOCUMENTO='$NoDocSurEn' AND SKU='$CodSku_w1'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotApartada =  $PrePiezas ['ObtCant'];
	
		
		if ($TotApartada == $CanxSu_w1)
		{
			break;
		}
			
///TERMINA PROCESO NO ESTOY SEGURO 01			
			
		}///Termina Else Valida Por Surtir Vs Asignado 01
		
///Limpiando Variables del While 02
		$IdBaDa_w2 = "";
		$CanPal_w2 = "";
		$LotPal_w2 = "";
		$LPrPal_w2 = "";
		$NumPal_w2 = "";
		$UbiPal_w2 = "";
		$Priori_w2 = "";
		
		$CantRestFin = "";
		$CCanti = "";
		$ValLote_RC2 = "";
		$Priorid_RC2 = "";
		$TotApartada = "";
		
	}///Termina While 02		
				
}///Termina IF Validación General 01	
	
}///Termina While 01
	 
	 
///Asignación de Prioridades de Surtido para los que no asigno
$sql_W7=mysql_query("Select ID,NO_TAREA,SKU,UBICACION from tabla_tareas where CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn' AND PRIORIDAD='0' AND NO_PALLET<>'0' Order By ID ASC");
while($res_W7=mysql_fetch_array($sql_W7))
{///Inicia While 07
$IdBaDa_w7 = $res_W7['ID'];
$NumTar_w7 = $res_W7['NO_TAREA'];
$CodSku_w7 = $res_W7['SKU'];
$CveUbi_w7 = $res_W7['UBICACION'];
	
	///Identificar la Prioridad dentro del Stock
		$sql_IDP = mysql_query("select PRIORIDAD from tabla_inventario WHERE SKU='$CodSku_w7' AND CVE_CUENTA='$CuentaCR1' AND UBICACION='$CveUbi_w7'");
		if (mysql_numrows($sql_IDP)==0) echo "";
		else{
		$registro_IDP=mysql_fetch_array($sql_IDP);
		}
		if (mysql_numrows($sql_IDP)>0)
		{	
		$Priori_w7=$registro_IDP["PRIORIDAD"];
		}
	
	///Editamos el Registro y le Asignamos la prioridad
		$sql_MP="UPDATE tabla_tareas SET PRIORIDAD='$Priori_w7' WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn' AND ID='$IdBaDa_w7' AND NO_TAREA='$NumTar_w7' AND SKU='$CodSku_w7'";
	 	$resultado_MP=mysql_query($sql_MP,$conexion) or die(mysql_error());
	
	
}///Termina While 07	
	 
	 ///Cambiar el Estado del Documento de Surtido
	 $sql_ME="UPDATE tabla_docsurtido SET EDO_DOCUMENTO='POR SURTIR' WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn'";
	 $resultado_ME=mysql_query($sql_ME,$conexion) or die(mysql_error());
			
	 	///Contar el numero de Tareas Generadas
		$sqlCta = "Select COUNT(*) as ObtCantCta FROM tabla_tareas WHERE CVE_CUENTA='$CuentaCR1' AND NO_DOCUMENTO='$NoDocSurEn'";
		$resCta = mysql_query($sqlCta); 
		$PreCta = mysql_fetch_assoc($resCta);
		$CuentaLineas =  $PreCta ['ObtCantCta'];
	 
		///Confirmación y Redireccionamiento
		echo "<SCRIPT>alert('Se han registrado $CuentaLineas tareas para el documento $NoDocSurEn.')</SCRIPT>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=75-VisualizarTareasSurtido2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NoDoc=$NoDocSurEn'>";
					
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina If Valida Estado de la Orden
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
	
</body>
</html>